using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace RB_MES_API.Models
{
    /// <summary>
    /// 查询接口字段转换，可用于各种接口的字段转换
    /// </summary>
    public class SelectClumnConvert
    {
        /// <summary>
        /// 主键
        /// </summary>
        [Key]
        public int FID { get;set; }
        /// <summary>
        /// 顺序号，注意：FSourceName相同时，FIndexID必须相同
        /// </summary>
        public int FIndexID { get; set; }
        /// <summary>
        /// 来源于FunctionList，但不是外键
        /// 索引之一
        /// </summary>
        [DisplayName("接口名称")]
        public int FFunctionID { get; set; }
        /// <summary>
        /// 此字段为传入的系统表名，比如传入MES时为PO,传入金蝶Cloud时则为PUR_PurchaseOrder
        /// </summary>
        [DisplayName("目标表名")]
        [StringLength(200)]
        public string FDesTableName { get; set; } = string.Empty; 
        /// <summary>
        /// 转换前
        /// </summary>
        [DisplayName("原字段")]
        [StringLength(80)]
        public string FSourceName { get; set; }=string.Empty;
        /// <summary>
        /// 转换后。FDesTableName的字段
        /// </summary>
        [DisplayName("目标字段")]
        [StringLength(80)]
        public string FDesName { get; set; } = string.Empty;
        /// <summary>
        /// 中文名，方便校对
        /// </summary>
        [DisplayName("显示名")]
        [StringLength(80)]
        public string FKDCaption { get; set; } = string.Empty;    //字段别名

    }
}
